Skip to main content
PATCH
/
agents
/
{id}
Update an agent
curl --request PATCH \
  --url https://whatsrb.com/api/v1/agents/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent": {
    "name": "<string>",
    "description": "<string>",
    "system_prompt": "<string>",
    "model": "<string>",
    "temperature": 123,
    "max_tokens": 123,
    "active": true,
    "auto_run_inbound": true,
    "debounce_seconds": 123,
    "inbound_config": {
      "trigger_on": "all",
      "min_message_length": 0,
      "max_messages_per_hour": 0,
      "ignore_patterns": []
    }
  }
}
'
{
  "data": {
    "id": "agt_abc123",
    "business_account_id": "ba_abc123",
    "name": "<string>",
    "description": "<string>",
    "model": "gpt-4o-mini",
    "temperature": 0.3,
    "max_tokens": 1024,
    "active": true,
    "auto_run_inbound": true,
    "debounce_seconds": 10,
    "inbound_config": {
      "trigger_on": "all",
      "min_message_length": 0,
      "max_messages_per_hour": 0,
      "ignore_patterns": []
    },
    "tools": [
      {
        "key": "<string>",
        "name": "<string>"
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key from the WhatsRB dashboard. Format: Bearer wrb_live_xxx

Path Parameters

id
string
required

Agent external ID (agt_xxx)

Body

application/json
agent
object
required

Response

OK

data
object